Name: fuse
Version: 2.6.3
Release: alt2

Summary: tool for creating virtual filesystems
Summary(ru_RU.KOI8-R):      

License: GPL
Group: System/Kernel and hardware
Url: http://sourceforge.net/projects/fuse

Source: %name-%version.tar.gz
Source1: fusermount-control

Patch: %name.Makefile.patch
Patch1: %name.udev.patch
Patch2: %name.link.patch
Patch3: %name-2.6.1-charset.patch
Patch4: %name.charset.symver.patch

Requires: mount >= 2.11

Provides: avfs-fuse
Obsoletes: avfs-fuse

%description
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%description -l ru_RU.KOI8-R
FUSE (Filesystem in USErspace) -    
    .

%package -n lib%name
Group: System/Kernel and hardware
Summary: tool for creating virtual filesystems
Provides: FUSE
Obsoletes: FUSE
Provides: avfs-fuse
Obsoletes: avfs-fuse
Provides: libavfs-fuse
Obsoletes: libavfs-fuse
Requires: %name = %version-%release

%description -n lib%name
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%package -n lib%name-devel
Group: System/Kernel and hardware
Summary: tool for creating virtual filesystems
Requires: lib%name = %version-%release
Provides: libavfs-fuse-devel
Obsoletes: libavfs-fuse-devel

%package -n lib%name-devel-static
Group: System/Kernel and hardware
Summary: tool for creating virtual filesystems
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%description -n lib%name-devel-static
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%description -l ru_RU.KOI8-R
FUSE (Filesystem in USErspace),    
    .

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description -n kernel-source-%name -l ru_RU.KOI8-R
    fuse    

%prep
%setup -q
%patch -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p0

t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
%__rm -rf "$t"
%__cp -a ./ "$t"
%__mv "$t" .

%build
%__autoreconf
%configure --disable-kernel-module \
	--enable-lib --enable-util --enable-auto-modprobe
%make_build

%install
%make_install DESTDIR=%buildroot install

%__install -D %SOURCE1 %buildroot/etc/control.d/facilities/fusermount

# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%name-%version
%__tar cjf \
        $RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version

%pre
%_sbindir/groupadd -r -f fuse
if [ $1 -ge 2 ]; then
  /usr/sbin/control-dump fusermount
fi

%post
if [ $1 -ge 2 ]; then
  /usr/sbin/control-restore fusermount
fi

%files
%attr(0700,root,root) %_bindir/fusermount
/sbin/mount.fuse
/etc/control.d/facilities/fusermount
/etc/udev/rules.d/*
%_bindir/ulockmgr_server
%doc AUTHORS ChangeLog NEWS README Filesystems README.NFS

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Sat Mar 17 2007 Denis Smirnov <mithraen@altlinux.ru> 2.6.3-alt2
- add charset conversion patch from Andy Schevchenko (bug 10658)
- add FUSE_ICONV symbol version

* Sun Feb 18 2007 Denis Smirnov <mithraen@altlinux.ru> 2.6.3-alt1
- upstream update

* Fri Dec 15 2006 Denis Smirnov <mithraen@altlinux.ru> 2.6.1-alt1
- upstream update

* Wed Oct 18 2006 Denis Smirnov <mithraen@altlinux.ru> 2.5.3-alt2
- create 'fuse' group
- fix typo in udev rule (9874)

* Mon Jun 19 2006 Denis Smirnov <mithraen@altlinux.ru> 2.5.3-alt1
- version update

* Sat Mar 25 2006 Denis Smirnov <mithraen@altlinux.ru> 2.5.2-alt1
- upstream update

* Sun Nov 27 2005 Denis Smirnov <mithraen@altlinux.ru> 2.4.2-alt1
- version update

* Tue Oct 11 2005 Denis Smirnov <mithraen@altlinux.ru> 2.4-alt1
- version update

* Sat Jun 04 2005 Denis Smirnov <mithraen@altlinux.ru> 2.3-alt1
- version update

* Fri Apr 22 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt6
- fixed req from libfuse to fuse

* Sun Apr 17 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt5
- cleanup
- headers moved to /usr/include/fuse
- static libraries moved to libfuse-devel-static

* Tue Feb 15 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt4
- rename avfs-fuse to fuse

* Thu Feb 10 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt3
- requires fixed

* Sun Feb 06 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt2
- fix

* Sat Feb 05 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt1
- some cleanups from lav@
- version update

* Wed Dec 22 2004 Denis Smirnov <mithraen@altlinux.ru> 2.1-alt2
- control support added (users now can user fusermount without sudo)

* Mon Dec 06 2004 Denis Smirnov <mithraen@altlinux.ru> 2.1-alt1
- version update

* Sat Oct 30 2004 Denis Smirnov <mithraen@altlinux.ru> 1.9-alt1
- version update
- support I/O in deleted files (upstream)
- some spec cleanups

* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 1.1-alt1
- new version, renamed to avfs-fuse (reselve packagename conflict with Spectrum Emulator fuse)

* Fri Nov 07 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt2
- now FUSE and kernel-source-FUSE build from one spec file

* Thu Nov 06 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt1
- first build
